#

API Docs for:
Show: Inherited Protected Private Deprecated

# myclass Class

Defined in: `input/test/test.js:32`
Module: mysubmodule
Parent Module: mymodule

The class def

## Constructor

### `myclass`

()

Defined in `input/test/test.js:32`

- Index
- Methods

## Item Index

### Methods

- foo
- reallyLongParamDesc
- test0ton
- test1ton
- testobjectparam
- testoptional

## Methods

### `foo`

()

Defined in `input/test/test.js:104`

This is the description

#### Example:

        var email = "lsmith@foo-truncated-here.com"

### `reallyLongParamDesc`

(

- `config`

)

Defined in `input/test/test.js:79`

Testing really long param description paring

#### Parameters:

- `config` Object

  Object with configuration property name/value pairs. The object can be used to provide default values for the objects published attributes.

  The config object can also contain the following non-attribute properties, providing a convenient way to configure events listeners and plugins for the instance, as part of the constructor call:

  on
    An event name to listener function map, to register event listeners for the "on" moment of the event. A constructor convenience property for the on method.
  after
    An event name to listener function map, to register event listeners for the "after" moment of the event. A constructor convenience property for the after method.
  bubbleTargets
    An object, or array of objects, to register as bubble targets for bubbled events fired by this instance. A constructor convenience property for the addTarget method.
  plugins
    A plugin, or array of plugins to be plugged into the instance (see PluginHost's plug method for signature details). A constructor convenience property for the plug method.

### `test0ton`

(

- `[optionalandmultiple]`

)

Defined in `input/test/test.js:65`

test 0..n param

#### Parameters:

- `[optionalandmultiple]` String optional multiple

  my desc

#### Returns:

something without a type

### `test1ton`

(

- `multiple`

)

Defined in `input/test/test.js:72`

test 1..n param

#### Parameters:

- `multiple` String multiple

  my desc

#### Returns:

something without a type

### `testobjectparam`

(

- `anobject`

)
String

Defined in `input/test/test.js:56`

test object param

#### Parameters:

- `anobject` Object

  the object

  - `prop1` String

    prop1

  - `prop2` Bool

    prop2

#### Returns:

String: something with a type

### `testoptional`

(

- `notype`
- `namesecond`
- `namefirst`
- `[optionalvar]`
- `[optionalwithdefault="defaultval"]`

)

Defined in `input/test/test.js:38`

test optional

#### Parameters:

- `notype` Object

  my desc

- `namesecond` Int

  my desc

- `namefirst` String

  my desc

- `[optionalvar]` Bool optional

  my desc

- `[optionalwithdefault="defaultval"]` String optional

  my desc

#### Returns:

something without a type

#### Example:

     This is code

     var = 'This is more code';
     document.title = 'Test This';